/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ag.web.edi;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Administrator
 */
public class MessageInfoState implements Serializable {
    private static final long serialVersionUID = 1L;
    private String misId;
    private String mrlLogId;
    private String mrlRouteState;
    private Date mrlRouteTim;
    private String insAccount;
    private Date insTimestamp;
    private String updAccount;
    private Date updTimestamp;
    private String tenantId;
    private String mrlContent;

    public String getMrlContent() {
        return mrlContent;
    }

    public void setMrlContent(String mrlContent) {
        this.mrlContent = mrlContent;
    }
    public MessageInfoState() {
    }

    public MessageInfoState(String misId) {
        this.misId = misId;
    }

    public MessageInfoState(String misId, String insAccount, Date insTimestamp, String tenantId) {
        this.misId = misId;
        this.insAccount = insAccount;
        this.insTimestamp = insTimestamp;
        this.tenantId = tenantId;
    }

    public String getMisId() {
        return misId;
    }

    public void setMisId(String misId) {
        this.misId = misId;
    }

    public String getMrlLogId() {
        return mrlLogId;
    }

    public void setMrlLogId(String mrlLogId) {
        this.mrlLogId = mrlLogId;
    }

    public String getMrlRouteState() {
        return mrlRouteState;
    }

    public void setMrlRouteState(String mrlRouteState) {
        this.mrlRouteState = mrlRouteState;
    }

    public Date getMrlRouteTim() {
        return mrlRouteTim;
    }

    public void setMrlRouteTim(Date mrlRouteTim) {
        this.mrlRouteTim = mrlRouteTim;
    }

    public String getInsAccount() {
        return insAccount;
    }

    public void setInsAccount(String insAccount) {
        this.insAccount = insAccount;
    }

    public Date getInsTimestamp() {
        return insTimestamp;
    }

    public void setInsTimestamp(Date insTimestamp) {
        this.insTimestamp = insTimestamp;
    }

    public String getUpdAccount() {
        return updAccount;
    }

    public void setUpdAccount(String updAccount) {
        this.updAccount = updAccount;
    }

    public Date getUpdTimestamp() {
        return updTimestamp;
    }

    public void setUpdTimestamp(Date updTimestamp) {
        this.updTimestamp = updTimestamp;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (misId != null ? misId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof MessageInfoState)) {
            return false;
        }
        MessageInfoState other = (MessageInfoState) object;
        if ((this.misId == null && other.misId != null) || (this.misId != null && !this.misId.equals(other.misId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "net.huadong.edi.log.domain.MessageInfoState[ misId=" + misId + " ]";
    }
    
}
